SLABTOP(1)

NAMN
slabtop — visa information om kärnans skivcache i realtid

SYNOPSIS
slabtop [flagga …]

BESKRIVNING
slabtop visar detaljerad information om kärnans skiv-cache i realtid. Det visar en lista över toppskivorna sorterade efter en av de listade sorteringskriterierna. Det visar också ett huvud med statistisk information om skivnivåer.

FLAGGOR
Normalt anrop av slabtop kräver inte några flaggor. Beteendet kan dock finjusteras genom att ange en eller flera av följande flaggor:

-d, --delay=N
    Uppdatera presentationen var n:e sekund. Som standard uppdaterar slabtop presentationen var tredje sekund. För att avsluta programmet, skriv q. Detta kan inte kombineras med flaggan -o.

-s, --sort=S
    Sortera efter S, där S är ett av sorteringskriterierna.

-o, --once
    Visa utdata en gång och avsluta sedan.

--human
    Visa slab-storlekar automatiskt skalade till den kortaste enheten med tre siffror och visa enheterna i utskriften. Följande enheter används.

      B = byte
      Ki = kibibyte
      Mi = mebibyte
      Gi = gibibyte
      Ti = tebibyte
      Pi = pebibyte

Om denna flagga inte används kommer slab-storlekarna visas i KiB.

-V, --version
    Visa versionsinformation och avsluta.

-h, --help
    Visa användningsinformation och avsluta.

SORTERINGSKRITERIER
Följande är giltiga sorteringskriterier som används för att sortera de enskilda skiv-cacharna och därigenom avgöra vilka ”topp”-skiv-cacharna som visas skall vara. Standardsorteringskriteriet är att sortera efter antal objekt (”o”).

Sorteringskriteriet kan även ändras medan slabtop kör genom att trycka den tillhörande bokstaven.
tecken | beskrivning | huvud
a | antal aktiva objekt | AKTIVT
b | objekt per skiva | OBJ/SKIVA
c | cachestorlek | CACHESTORLEK
l | antal skivor | SKIVOR
v | antal aktiva skivor | saknas
n | namn | NAMN
o | antal objekt | OBJ
p | sidor per skiva | saknas
s | objektstorlek | OBJ-STRL
u | cacheanvändning | ANV

KOMMANDON
slabtop tar emot tangentbordskommandon från användaren under körning. Följande stödjs. Vad gäller bokstäver tas både versaler och gemener emot.

Var och en av de giltiga sorteringskriterierna tas också emot, för att ändra sorteringsrutinen. Se avsnittet SORTERINGSKRITERIER.

<MELLANSLAG>
    Uppdatera skärmen.

Q   Avsluta programmet.

FILER

/proc/slabinfo
    skivinformation

SE ÄVEN
free(1), ps(1), top(1), vmstat(8)

OBSERVERA
För närvarande kräver slabtop en kärna 2.4 eller senare (specifikt, version 1.1 eller senare av /proc/slabinfo). Kärna 2.2 bör stödjas i framtiden.

Statistikhuvudet i slabtop följer hur många byte av skivor som används och är inte ett mått på fysiskt minne. Fältet ”Slab” i filen /proc/meminfo följer information om skivors använda fysiska minne.

Kolumnen CACHE-STRL är inte precis, det är den övre gränsen på minne som används av en specifik slab. När ett system som använder slub (det vanligaste fallet) är under högt minnestryck finns det reserver för slab-ordrar, vilket betyder att ”sidor per slab” inte är konstant och kan minska.

UPPHOVSMÄN
Skrivet av Chris Rivera och Robert Love.

slabtop inspirerades av Martin Blighs perl-skript vmtop.

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org. Skicka synpunkter på översättningen till